Subject: Re: [bug#37912] [PATCH] gnu: elixir: Update to 1.9.2.

From: Oskar Köök <[email-masked]>
Date: Sat, 16 Nov 2019 20:01:16 +0100 (CET)

Hi

Thanks. I went ahead and did some further reading on the constraints of Elixir Releases and in the end it seems the current behaviour is actually just fine.

The documentation itself notes that there is already effectively a dependency on package managers:
> In addition to matching the target triple, it is also important that thetarget has all of the system packages that your application will need atruntime. A common one is the need for OpenSSL when building an applicationthat uses :crypto or :ssl, which is dynamically linked to ERTS. The othercommon source for native dependencies like this comes from dependenciescontaining NIFs (natively-implemented functions) which may expect todynamically link to libraries they use.
> These system packages are typically managed using the system package manager,but if necessary, you can also bundle the compiled object files in the release,as long as they were compiled for the same target.

This means that if you're creating an Elixir Release with Elixir built in Guix, you should also have the needed Guix packages installed on your target. Optionally the user can create a script that modifies the release to be compatible with the target (e.g. replace /gnu/store/* references with /bin/*).

Oskar

Nov 16, 2019, 18:34 by [email-masked]:

> Hi Oskar,
>
> Oskar Köök <[email-masked]> skribis:
>
> >>From f2eb88f567f93e578e3c2df76046fed4f45645f8 Mon Sep 17 00:00:00 2001
>
>> From: =?UTF-8?q?Oskar=20K=C3=B6=C3=B6k?= <[email-masked]>
>> Date: Thu, 24 Oct 2019 23:37:38 +0300
>> Subject: [PATCH] gnu: elixir: Update to 1.9.2.
>>
>> * gnu/packages/elixir.scm (elixir): Update to 1.9.2.
>>
>
> Thanks for the updated patch!  I believe this addresses the comments
> that Marius made, and it builds fine for me, so I went ahead and applied
> it.
>
> Thank you!
>
> Ludo’.
>